# template: default
%global gem_name sd_notify

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Pure Ruby implementation of systemd's sd_notify(3)
License: MIT
URL: https://github.com/agis/ruby-sdnotify
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
sd_notify can be used to notify systemd about various service status changes
of Ruby programs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Jul 13 2022 Foreman Packaging Automation <packaging@theforeman.org> 0.1.1-1
- Update to 0.1.1

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.1.0-2
- Rebuild against rh-ruby27

* Fri Aug 28 2020 Adam Ruzicka <aruzicka@redhat.com> 0.1.0-1
- Add rubygem-sd_notify generated by gem2rpm using the scl template

